# PATCH /customers/{customer_id}/addresses/{address_id}

**Update an address for a customer**

Updates an address for a customer using its ID and related customer ID.

If successful, your response includes a copy of the updated address entity.

**Required permissions:** `address.write`

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `address_id` | string | required | Paddle ID of the address entity to work with. |
| `customer_id` | string | required | Paddle ID of the customer entity to work with. (pattern: `^ctm_[a-z\d]{26}$`) |

## Request body

- `description` — Memorable description for this address. (Max length: 1024)
- `first_line` — First line of this address. (Max length: 1024)
- `second_line` — Second line of this address. (Max length: 1024)
- `city` — City of this address. (Max length: 200)
- `postal_code` — ZIP or postal code of this address. Required for some countries. (Max length: 200)
- `region` — State, county, or region of this address. (Max length: 200)
- `country_code` — Supported two-letter ISO 3166-1 alpha-2 country code for this address.
- `custom_data` — Your own structured key-value data.
- `status`: string — Whether this entity can be used in Paddle.

### Request example

```json
{
  "description": "California Office",
  "first_line": "5400 E Washington Drive, Floor 2",
  "city": "San Jose",
  "region": "CA",
  "custom_data": {
    "crm_id": "08bcfb7a-41d8-4747-9ade-3d885c287d0f"
  }
}
```

## Response (200)

- `data`: object (required) — Represents an address entity.
  - `id`: string (required) — Unique Paddle ID for this address entity, prefixed with `add_`. (pattern: `^add_[a-z\d]{26}$`)
  - `customer_id`: string (required) — Paddle ID for the customer related to this address, prefixed with `cus_`. (pattern: `^ctm_[a-z\d]{26}$`)
  - `description` (required)
  - `first_line` (required)
  - `second_line` (required)
  - `city` (required)
  - `postal_code` (required)
  - `region` (required)
  - `country_code` (required) — Supported two-letter ISO 3166-1 alpha-2 country code for this address.
  - `custom_data` (required) — Your own structured key-value data.
  - `status`: string (required) — Whether this entity can be used in Paddle.
  - `created_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
  - `updated_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
  - `import_meta` (required)
- `meta`: object (required) — Information about this response.
  - `request_id`: string (required) — Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.

### Response example

```json
{
  "data": {
    "id": "add_01hv8gwdfkw5z6d1yy6pa3xyrz",
    "status": "active",
    "customer_id": "ctm_01hv6y1jedq4p1n0yqn5ba3ky4",
    "description": "California Office",
    "first_line": "5400 E Washington Drive, Floor 2",
    "second_line": null,
    "city": "San Jose",
    "postal_code": "95314",
    "region": "CA",
    "country_code": "US",
    "custom_data": {
      "crm_id": "08bcfb7a-41d8-4747-9ade-3d885c287d0f"
    },
    "created_at": "2024-04-12T06:45:53.267Z",
    "updated_at": "2024-04-12T06:47:01.533006Z",
    "import_meta": null
  },
  "meta": {
    "request_id": "c3308aa6-fdba-457d-af96-6a51e7292b90"
  }
}
```
